%define name kmpg
%define version 0.5.0a
%define release 7mdk

Summary: %{name} - mp3 audio player.
Name: %{name}
Version: %{version}
Release: %{release}
Source: ftp://ftp.kde.org/pub/kde/stable/1.1.1/apps/utils/%{name}-%{version}.tar.bz2
Source1: kmpg_menuentry
Patch: %{name}-gcc295.patch.bz2
Copyright: GPL
Group: Sound
BuildRoot: /var/tmp/%{name}-buildroot
Requires: kdebase qt >= 1.44

%description
Kmpg is an MPEG audio player for the KDE project. The player uses splay
by Woo-jae Jung as mp3 decoding engine.
Kmpg includes source from other packages/contributors as well.

%prep
%setup -q
%patch -p1

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
  ./configure --with-install-root=$RPM_BUILD_ROOT/

make

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT/usr install

# (fg) Huh?
#mkdir -p $RPM_BUILD_ROOT/usr/share/apps/kmpg
#mv -f $RPM_BUILD_ROOT/usr/share/mimelnk/audio \
#   $RPM_BUILD_ROOT/usr/share/apps/kmpg/mimelnk
rm -Rf $RPM_BUILD_ROOT/usr/share/mimelnk

# (fg) Menu entry
mkdir -p $RPM_BUILD_ROOT/usr/lib/menu
install -m644 %{SOURCE1} $RPM_BUILD_ROOT/usr/lib/menu/kmpg

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,755)
/usr/bin/*
/usr/lib/menu/kmpg
%dir /usr/share/apps
/usr/share/apps/kmpg
%dir /usr/share/icons
/usr/share/icons/*xpm
%dir /usr/share/icons/mini
/usr/share/icons/mini/*xpm
%dir /usr/share/locale/*/LC_MESSAGES
/usr/share/locale/*/LC_MESSAGES/kmpg.mo
%dir /usr/doc/kde/HTML/*
/usr/doc/kde/HTML/*/kmpg

# If there is an existing mimetype file, just change it's DefaultApp= line to
# point to kmpg, otherwise put in the defualt kmpg kdelnk.
%post
#for i in x-m3u x-mp1 x-mp2 x-mp3 x-wav; do
#   if [ -e /usr/share/mimelnk/audio/$i.kdelnk ]; then
#      X=`grep ^DefaultApp /usr/share/mimelnk/audio/$i.kdelnk | awk -F= '{print $2}' 2> /dev/null`
#      if [ x"$X" != "xkmpg" ]; then
#         mv /usr/share/mimelnk/audio/$i.kdelnk \
#            /usr/share/apps/kmpg/mimelnk/$i.kdelnk.kmpg_old
#         grep -v ^DefaultApp /usr/share/apps/kmpg/mimelnk/$i.kdelnk.kmpg_old > \
#            /usr/share/mimelnk/audio/$i.kdelnk
#         echo "DefaultApp=kmpg" >> /usr/share/mimelnk/audio/$i.kdelnk
#         chmod 644 /usr/share/mimelnk/audio/$i.kdelnk
#      else
#         touch /usr/share/apps/kmpg/mimelnk/$i.kdelnk.kmpg_nodel
#      fi
#   else
#      cp -a /usr/share/apps/kmpg/mimelnk/$i.kdelnk /usr/share/mimelnk/audio/$i.kdelnk
#   fi
#done

[ -x /usr/bin/update-menus ] && /usr/bin/update-menus || true

%postun
#for i in x-m3u x-mp1 x-mp2 x-mp3 x-wav; do
#   if [ -e /usr/share/apps/kmpg/mimelnk/$i.kdelnk.kmpg_old ]; then
#      mv -f /usr/share/apps/kmpg/mimelnk/$i.kdelnk.kmpg_old \
#         /usr/share/mimelnk/audio/$i.kdelnk
#   elif [ -e /usr/share/apps/kmpg/mimelnk/$i.kdelnk.kmpg_nodel ]; then
#      rm -f /usr/share/apps/kmpg/mimelnk/$i.kdelnk.kmpg_nodel
#   else
#      rm -f /usr/share/mimelnk/audio/$i.kdelnk
#   fi
#   rmdir --ignore-fail-on-non-empty /usr/share/apps/kmpg/{mimelnk,}
#done

if [ "$1" = "0" ]; then
[ -x /usr/bin/update-menus ] && /usr/bin/update-menus || true
fi

%changelog

* Tue Mar 28 2000 Francis Galiegue <fg@mandrakesoft.com> 0.5.0a-7mdk

- Don't use autogenerated file list
- Don't use prefix
- No MIME type playing stuff - better fix the problem at its root
- Menu entry
- Changed group

* Thu Feb  5 2000 John Corey <jcorey@mandrakesoft.com> 0.5.0a-6mdk
- Further tweak mimetype juggling.
- For proper installation remove any old kmpg rpm, and veryify kdebase is pure
  with rpm -V.

* Tue Dec 14 1999 John Corey <jcorey@mandrakesoft.com>
- Handle juggling the audio mimetypes - should work better with kdebase/kmp3

* Tue Nov 23 1999 John Corey <jcorey@mandrakesoft.com>
- Rebuild with FHS-2.0 compliance

* Wed Aug 18 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Remove the requirement of kdebase cvs.

* Sat Jul 17 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Rewriting the spec file.
- Build release.

# end of file
